Jump to content
Limestone de cara nova! ×
Portal do Host

Problema com instalação PHP 7 em centos 6


Claudio
 Share

Recommended Posts

Olá senhores. 
Como o título é bem direto, tenho problemas ao instalar o PHP 7 em um ambiente linux centOs 6.8 (Essa versão do CentOs é compatível com o PHP 7?)

O procedimento que utilizo para instalação do PHP 7 é:

rpm -Uvh https://dl.fedoraproject.org/pub/epel/epel-release-latest-6.noarch.rpm
rpm -Uvh https://mirror.webtatic.com/yum/el6/latest.rpm
yum install php70w php70w-opcache

 

O que recebo:

Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
yum install php70w php70w-opcache * base: ftp.up.pt
 * epel: ftp.up.pt
 * extras: ftp.up.pt
No package php70w available.
No package php70w-opcache available.
Error: Nothing to do
 

 

Esse é um dos procedimentos que já tentei dentre outros e o retorno é o mesmo: Pacote não disponível.

Alguém tem uma sugestão?

 

Link to comment
Share on other sites


  • Replies 4
  • Created
  • Last Reply

Top Posters In This Topic

Popular Days

Top Posters In This Topic

Eu tentei esse comando e aparece somente até o php5.6. Foi então que pensei que talvez o php7 não estivesse disponível para CentOs6.8. De toda forma, tem como reverter essa situação?

 

 

------

 

cpanel-php56-content.noarch : PEAR: Tagging application
cpanel-php56-horde.noarch : PEAR: Horde Application Framework
cpanel-php56-horde-lz4.x86_64 : Horde LZ4 Compression Extension
cpanel-php56-imp.noarch : PEAR: A web based webmail system
cpanel-php56-ingo.noarch : PEAR: An email filter rules manager
cpanel-php56-kronolith.noarch : PEAR: A web based calendar
cpanel-php56-mnemo.noarch : PEAR: A web based notes manager
cpanel-php56-nag.noarch : PEAR: A web based task list manager
cpanel-php56-timeobjects.noarch : PEAR: Horde timeobjects application
cpanel-php56-trean.noarch : PEAR: Web-based bookmarks application
cpanel-php56-turba.noarch : PEAR: A web based address book
cpanel-php56-webmail.noarch : PEAR: Horde Groupware Webmail Edition
drupal6-views_customfield.noarch : Provides a number of custom views fields
                                 : (rownumber, phpcode, ...)
lighttpd-fastcgi.x86_64 : FastCGI module and spawning helper for lighttpd and
                        : PHP configuration
limph.noarch : A PHP5-compatible network host/service poller with web interface
tiquit.noarch : A PHP5-compatible help desk incident tracking/knowledgebase
              : system
xhprof.noarch : A Hierarchical Profiler for PHP - Web interface

  Name and summary matches only, use "search all" for everything.
 

Link to comment
Share on other sites

3 horas atrás, Claudio disse:

Eu tentei esse comando e aparece somente até o php5.6. Foi então que pensei que talvez o php7 não estivesse disponível para CentOs6.8. De toda forma, tem como reverter essa situação?

Eu instalei php7 já no Centos 6.8 perfeitamente, apesar de não recomendar o uso (ainda), muita incompatibilidade!
Faço o seguinte, remova php+extensões/módulos que houverem (yum remove php*) inclusive php-common

proceda novamente com upgrade

Link to comment
Share on other sites

1 hora atrás, RobertSP disse:

Eu instalei php7 já no Centos 6.8 perfeitamente, apesar de não recomendar o uso (ainda), muita incompatibilidade!
Faço o seguinte, remova php+extensões/módulos que houverem (yum remove php*) inclusive php-common

proceda novamente com upgrade

Antes mesmo de tentar essa sua sugestão, analisando bem, parece que isso pode resolver.
Mas. será que existe uma alternativa de usar o PHP 5 e o PHP 7 como alternativa? Tal como o ntPHP selector de versões PHP?

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

  • Recently Browsing   0 members

    No registered users viewing this page.



×
×
  • Create New...

Important Information